import {AuthMethods, AuthProviders, AngularFire, FirebaseAuthState} from "angularfire2";
import {AuthMethod} from "./auth-method";
import {Injectable} from "@angular/core";
@Injectable()
export class GithubAuth implements AuthMethod{

  name: string = 'Github';

  constructor(private firebase: AngularFire){
  }

  login(){
    return this.firebase.auth.login({
      provider: AuthProviders.Github,
      method: AuthMethods.Popup
    });
  }
}
